Subject: bug#33664: 26.1; Document vars and functions in `cursor-sensor.el'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Dec 2018 17:35:30 +0200

> Date: Fri, 7 Dec 2018 15:15:37 +0000 (UTC)
> From: Drew Adams <[email-masked]>
> 
> Please document the variables and functions in `cursor-sensor.el'.  It
> would be a step backward for Emacs to document less and less.  Calling
> something an "internal" function is not, in itself, a sufficient reason
> not to give it a doc string.
> 
> In particular, please add a doc string for variable
> `cursor-sensor-inhibit'.
> 
> I was reading the `isearch.el' code and saw this: (push 'isearch
> cursor-sensor-inhibit).  Had to start searching `cursor-sensor.el' to
> try to understand what this variable is for.  Even that didn't really
> help, since there is nothing in `cursor-sensor.el' that would lead one
> to understand that the variable is used somehow as a list of values.
> 
> Even grepping for that var didn't help with such understanding, as there
> are no uses of it outside of isearch.el.
> 
> Isearch apparently goes to the trouble of allowing for the var to be
> used as a list (similar to `buffer-invisibility-spec', perhaps), but
> there is no comment, doc, or spec describing this behavior/use in
> `cursor-sensor.el'.

AFAIK, about the only person who could do something about this doesn't
read bug reports.